Index: uspace/srv/net/tl/icmp/icmp.c
===================================================================
--- uspace/srv/net/tl/icmp/icmp.c	(revision fb04cba8d949f8b13de326b3aefd058316d54046)
+++ uspace/srv/net/tl/icmp/icmp.c	(revision 46d4d9f449e7933280b1877c70448602ec0ab0ae)
@@ -100,5 +100,5 @@
  * @param[in,out] header The ICMP datagram header.
  * @param[in] length	The total datagram length.
- * @returns		The computed checksum.
+ * @return		The computed checksum.
  */
 #define ICMP_CHECKSUM(header, length) \
@@ -112,5 +112,5 @@
  * @param[in] id	The message identifier.
  * @param[in] sequence	The message sequence number.
- * @returns		The computed ICMP reply data key.
+ * @return		The computed ICMP reply data key.
  */
 #define ICMP_GET_REPLY_KEY(id, sequence) \
@@ -128,7 +128,7 @@
  * @param[in] packet	The packet queue to be released.
  * @param[in] result	The result to be returned.
- * @returns		The result parameter.
- */
-static int icmp_release_and_return(packet_t packet, int result)
+ * @return		The result parameter.
+ */
+static int icmp_release_and_return(packet_t *packet, int result)
 {
 	pq_release_remote(icmp_globals.net_phone, packet_get_id(packet));
@@ -152,9 +152,9 @@
  * @param[in] dont_fragment The value indicating whether the datagram must not
  *			be fragmented. Is used as a MTU discovery.
- * @returns		EOK on success.
- * @returns		EPERM if the error message is not allowed.
- */
-static int icmp_send_packet(icmp_type_t type, icmp_code_t code, packet_t packet,
-    icmp_header_ref header, services_t error, ip_ttl_t ttl, ip_tos_t tos,
+ * @return		EOK on success.
+ * @return		EPERM if the error message is not allowed.
+ */
+static int icmp_send_packet(icmp_type_t type, icmp_code_t code, packet_t *packet,
+    icmp_header_t *header, services_t error, ip_ttl_t ttl, ip_tos_t tos,
     int dont_fragment)
 {
@@ -186,10 +186,10 @@
  *
  * @param[in,out] packet The original packet.
- * @returns The prefixed ICMP header.
- * @returns NULL on errors.
- */
-static icmp_header_ref icmp_prepare_packet(packet_t packet)
-{
-	icmp_header_ref header;
+ * @return The prefixed ICMP header.
+ * @return NULL on errors.
+ */
+static icmp_header_t *icmp_prepare_packet(packet_t *packet)
+{
+	icmp_header_t *header;
 	size_t header_length;
 	size_t total_length;
@@ -234,12 +234,12 @@
  * @param[in] addr	The target host address.
  * @param[in] addrlen	The torget host address length.
- * @returns		ICMP_ECHO on success.
- * @returns		ETIMEOUT if the reply has not arrived before the
+ * @return		ICMP_ECHO on success.
+ * @return		ETIMEOUT if the reply has not arrived before the
  *			timeout.
- * @returns		ICMP type of the received error notification.
- * @returns		EINVAL if the addrlen parameter is less or equal to
+ * @return		ICMP type of the received error notification.
+ * @return		EINVAL if the addrlen parameter is less or equal to
  *			zero.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		EPARTY if there was an internal error.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		EPARTY if there was an internal error.
  */
 static int icmp_echo(icmp_param_t id, icmp_param_t sequence, size_t size,
@@ -247,9 +247,9 @@
     const struct sockaddr * addr, socklen_t addrlen)
 {
-	icmp_header_ref header;
-	packet_t packet;
+	icmp_header_t *header;
+	packet_t *packet;
 	size_t length;
 	uint8_t *data;
-	icmp_reply_ref reply;
+	icmp_reply_t *reply;
 	int reply_key;
 	int index;
@@ -340,7 +340,7 @@
 
 static int icmp_destination_unreachable_msg_local(int icmp_phone,
-    icmp_code_t code, icmp_param_t mtu, packet_t packet)
-{
-	icmp_header_ref header;
+    icmp_code_t code, icmp_param_t mtu, packet_t *packet)
+{
+	icmp_header_t *header;
 
 	header = icmp_prepare_packet(packet);
@@ -355,7 +355,7 @@
 }
 
-static int icmp_source_quench_msg_local(int icmp_phone, packet_t packet)
-{
-	icmp_header_ref header;
+static int icmp_source_quench_msg_local(int icmp_phone, packet_t *packet)
+{
+	icmp_header_t *header;
 
 	header = icmp_prepare_packet(packet);
@@ -368,7 +368,7 @@
 
 static int icmp_time_exceeded_msg_local(int icmp_phone, icmp_code_t code,
-    packet_t packet)
-{
-	icmp_header_ref header;
+    packet_t *packet)
+{
+	icmp_header_t *header;
 
 	header = icmp_prepare_packet(packet);
@@ -381,7 +381,7 @@
 
 static int icmp_parameter_problem_msg_local(int icmp_phone, icmp_code_t code,
-    icmp_param_t pointer, packet_t packet)
-{
-	icmp_header_ref header;
+    icmp_param_t pointer, packet_t *packet)
+{
+	icmp_header_t *header;
 
 	header = icmp_prepare_packet(packet);
@@ -398,6 +398,6 @@
  * @param[in] client_connection The client connection processing function. The
  *			module skeleton propagates its own one.
- * @returns		EOK on success.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int icmp_initialize(async_client_conn_t client_connection)
@@ -413,5 +413,5 @@
 		}
 	};
-	measured_string_ref configuration;
+	measured_string_t *configuration;
 	size_t count = sizeof(names) / sizeof(measured_string_t);
 	char *data;
@@ -479,9 +479,9 @@
  * @param[in] code	The received reply message code.
  */
-static void  icmp_process_echo_reply(packet_t packet, icmp_header_ref header,
+static void  icmp_process_echo_reply(packet_t *packet, icmp_header_t *header,
     icmp_type_t type, icmp_code_t code)
 {
 	int reply_key;
-	icmp_reply_ref reply;
+	icmp_reply_t *reply;
 
 	/* Compute the reply key */
@@ -507,16 +507,16 @@
  * @param[in] error	The packet error reporting service. Prefixes the
  *			received packet.
- * @returns		EOK on success.
- * @returns		EINVAL if the packet is not valid.
- * @returns		EINVAL if the stored packet address is not the an_addr_t.
- * @returns		EINVAL if the packet does not contain any data.
- * @returns		NO_DATA if the packet content is shorter than the user
+ * @return		EOK on success.
+ * @return		EINVAL if the packet is not valid.
+ * @return		EINVAL if the stored packet address is not the an_addr_t.
+ * @return		EINVAL if the packet does not contain any data.
+ * @return		NO_DATA if the packet content is shorter than the user
  *			datagram header.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		EADDRNOTAVAIL if the destination socket does not exist.
- * @returns		Other error codes as defined for the
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		EADDRNOTAVAIL if the destination socket does not exist.
+ * @return		Other error codes as defined for the
  *			ip_client_process_packet() function.
  */
-static int icmp_process_packet(packet_t packet, services_t error)
+static int icmp_process_packet(packet_t *packet, services_t error)
 {
 	size_t length;
@@ -525,5 +525,5 @@
 	int result;
 	void *data;
-	icmp_header_ref header;
+	icmp_header_t *header;
 	icmp_type_t type;
 	icmp_code_t code;
@@ -567,5 +567,5 @@
 
 	/* Get ICMP header */
-	header = (icmp_header_ref) data;
+	header = (icmp_header_t *) data;
 
 	if (header->checksum) {
@@ -654,9 +654,9 @@
  * @param[in] error	The packet error reporting service. Prefixes the
  *			received packet.
- * @returns		EOK on success.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the
  *			icmp_process_packet() function.
  */
-static int icmp_received_msg_local(device_id_t device_id, packet_t packet,
+static int icmp_received_msg_local(device_id_t device_id, packet_t *packet,
     services_t receiver, services_t error)
 {
@@ -673,15 +673,15 @@
  *
  * @param[in] call	The message parameters.
- * @returns		EOK on success.
- * @returns		ENOTSUP if the message is not known.
- * @returns		Other error codes as defined for the packet_translate()
+ * @return		EOK on success.
+ * @return		ENOTSUP if the message is not known.
+ * @return		Other error codes as defined for the packet_translate()
  *			function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			icmp_destination_unreachable_msg_local() function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			icmp_source_quench_msg_local() function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			icmp_time_exceeded_msg_local() function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			icmp_parameter_problem_msg_local() function.
  *
@@ -690,5 +690,5 @@
 static int icmp_process_message(ipc_call_t *call)
 {
-	packet_t packet;
+	packet_t *packet;
 	int rc;
 
@@ -731,9 +731,9 @@
  *
  * @param[in,out] echo_data The echo data to be bound.
- * @returns		Index of the inserted echo data.
- * @returns		EBADMEM if the echo_data parameter is NULL.
- * @returns		ENOTCONN if no free identifier have been found.
- */
-static int icmp_bind_free_id(icmp_echo_ref echo_data)
+ * @return		Index of the inserted echo data.
+ * @return		EBADMEM if the echo_data parameter is NULL.
+ * @return		ENOTCONN if no free identifier have been found.
+ */
+static int icmp_bind_free_id(icmp_echo_t *echo_data)
 {
 	icmp_param_t index;
@@ -778,5 +778,5 @@
  * @param[in] callid	The message identifier.
  * @param[in] call	The message parameters.
- * @returns EOK.
+ * @return EOK.
  *
  * @see icmp_interface.h
@@ -791,5 +791,5 @@
 	struct sockaddr *addr;
 	ipc_callid_t data_callid;
-	icmp_echo_ref echo_data;
+	icmp_echo_t *echo_data;
 	int rc = EOK;
 
@@ -800,5 +800,5 @@
 	answer_count = 0;
 
-	echo_data = (icmp_echo_ref) malloc(sizeof(*echo_data));
+	echo_data = (icmp_echo_t *) malloc(sizeof(*echo_data));
 	if (!echo_data)
 		return ENOMEM;
@@ -887,6 +887,6 @@
  * @param[out] answer_count The last parameter for the actual answer in the
  *			answer parameter.
- * @returns		EOK on success.
- * @returns		ENOTSUP if the message is not known.
+ * @return		EOK on success.
+ * @return		ENOTSUP if the message is not known.
  *
  * @see icmp_interface.h
@@ -896,5 +896,5 @@
     ipc_call_t *answer, int *answer_count)
 {
-	packet_t packet;
+	packet_t *packet;
 	int rc;
 
@@ -964,6 +964,6 @@
 /** Starts the module.
  *
- * @returns		EOK on success.
- * @returns		Other error codes as defined for each specific module
+ * @return		EOK on success.
+ * @return		Other error codes as defined for each specific module
  *			start function.
  */
